Index: roard/codecfilter_celt.c
===================================================================
--- roard/codecfilter_celt.c	(revision 608)
+++ roard/codecfilter_celt.c	(revision 609)
@@ -8,5 +8,5 @@
                                             struct roar_codecfilter   * filter) {
  struct codecfilter_celt_inst * self = malloc(sizeof(struct codecfilter_celt_inst));
- struct roar_stream * s = (struct roar_stream *) info;
+ struct roar_stream * s = ROAR_STREAM(info);
 
  if ( !self )
Index: roard/codecfilter_cmd.c
===================================================================
--- roard/codecfilter_cmd.c	(revision 223)
+++ roard/codecfilter_cmd.c	(revision 609)
@@ -59,5 +59,5 @@
  }
 
- if ( lib_run_bg(cmd, ((struct roar_stream*)info)->fh, socks[1], ROAR_STDERR, socks, 2) == -1 )
+ if ( lib_run_bg(cmd, ROAR_STREAM(info)->fh, socks[1], ROAR_STDERR, socks, 2) == -1 )
   return -1;
 
@@ -69,15 +69,15 @@
     g_clients[info->client]->fh = socks[0];
    } else {
-    close(((struct roar_stream*)info)->fh);
+    close(ROAR_STREAM(info)->fh);
    }
   } else {
-   close(((struct roar_stream*)info)->fh);
+   close(ROAR_STREAM(info)->fh);
   }
  } else {
-  close(((struct roar_stream*)info)->fh);
+  close(ROAR_STREAM(info)->fh);
  }
 
- ((struct roar_stream*)info)->fh = socks[0];
- ((struct roar_stream*)info)->info.codec = ROAR_CODEC_DEFAULT;
+ ROAR_STREAM(info)->fh = socks[0];
+ ROAR_STREAM(info)->info.codec = ROAR_CODEC_DEFAULT;
  close(socks[1]);
 
Index: roard/codecfilter_speex.c
===================================================================
--- roard/codecfilter_speex.c	(revision 608)
+++ roard/codecfilter_speex.c	(revision 609)
@@ -8,5 +8,5 @@
                                             struct roar_codecfilter   * filter) {
  struct codecfilter_speex_inst * self = malloc(sizeof(struct codecfilter_speex_inst));
- struct roar_stream * s = (struct roar_stream *) info;
+ struct roar_stream * s = ROAR_STREAM(info);
 
  *inst = NULL;
Index: roard/codecfilter_wave.c
===================================================================
--- roard/codecfilter_wave.c	(revision 606)
+++ roard/codecfilter_wave.c	(revision 609)
@@ -7,5 +7,5 @@
                                             struct roar_codecfilter   * filter) {
  struct codecfilter_wave_inst * self = malloc(sizeof(struct codecfilter_wave_inst));
- struct roar_stream * s = (struct roar_stream *) info;
+ struct roar_stream * s = ROAR_STREAM(info);
 
  if ( !self )
Index: roard/streams.c
===================================================================
--- roard/streams.c	(revision 603)
+++ roard/streams.c	(revision 609)
@@ -136,5 +136,5 @@
  ROAR_DBG("streams_set_fh(id=%i): g_streams[id]->id=%i", id, ROAR_STREAM(g_streams[id])->id);
 
- ((struct roar_stream *)g_streams[id])->fh = fh;
+ ROAR_STREAM(g_streams[id])->fh = fh;
 
  if ( codecfilter_open(&(g_streams[id]->codecfilter_inst), &(g_streams[id]->codecfilter), NULL,
@@ -163,5 +163,5 @@
   return -1;
 
- return ((struct roar_stream *)g_streams[id])->fh;
+ return ROAR_STREAM(g_streams[id])->fh;
 }
 
@@ -408,6 +408,6 @@
 */
 
- ((struct roar_stream*)g_streams[id])->pos =
-      ROAR_MATH_OVERFLOW_ADD(((struct roar_stream*)g_streams[id])->pos,
+ ROAR_STREAM(g_streams[id])->pos =
+      ROAR_MATH_OVERFLOW_ADD(ROAR_STREAM(g_streams[id])->pos,
           ROAR_OUTPUT_CALC_OUTBUFSAMP(info, needed-todo));
  //ROAR_WARN("stream=%i, pos=%u", id, ((struct roar_stream*)g_streams[id])->pos);
@@ -441,5 +441,5 @@
  for (i = 0; i < ROAR_STREAMS_MAX; i++) {
   if ( g_streams[i] != NULL ) {
-   if ( ((struct roar_stream *)g_streams[i])->dir != ROAR_DIR_PLAY )
+   if ( ROAR_STREAM(g_streams[i])->dir != ROAR_DIR_PLAY )
     continue;
 
@@ -538,5 +538,5 @@
  ROAR_DBG("streams_check(id=%i) = ?", id);
 
- s = (struct roar_stream *) (ss = g_streams[id]);
+ s = ROAR_STREAM(ss = g_streams[id]);
 
  if ( (fh = s->fh) == -1 )
@@ -675,5 +675,5 @@
  ROAR_DBG("streams_send_filter(id=%i) = ?", id);
 
- s = (struct roar_stream *) (ss = g_streams[id]);
+ s = ROAR_STREAM(ss = g_streams[id]);
 
  if ( (fh = s->fh) == -1 )
